<?php
//=======================================
//###################################
// Kayako Infotech Ltd. - SWIFT Framework
//
// Source Copyright 2001-2008 Kayako Infotech Ltd.
// Unauthorized reproduction is not allowed
// License Number: $%LICENSE%$
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//                   www.kayako.com
//###################################
//=======================================

/**
* DATABASE HOSTNAME
*/
$_DB["hostname"] = "localhost";

/**
* DATABASE USERNAME
*/
$_DB["username"] = "root";

/**
* DATABASE PASSWORD
*/
$_DB["password"] = "";

/**
* DATABASE NAME
*/
$_DB["name"] = "swift";

/**
* DATABASE PORT
*/
$_DB["port"] = "3306";

/**
* DATABASE CONNECTION CHARSET
* For PHP >= 5.2.3, this will be passed to mysql_set_charset().
*   Note that mysql_set_charset() also requires MySQL >= 5.0.7
* For PHP < 5.2.3, this will be passed to SET NAMES.
*/
$_DB['charset'] = "utf8";

/**
* Change to "true" if you want to use a persistent database connection.
*/
define("P_CONNECT", false);

/**
* ###############################################
* DO NOT CHANGE ANYTHING BELOW THIS POINT UNLESS YOU KNOW WHAT YOU ARE DOING
* ###############################################
*/

/**
* DEFAULT ADMIN LANGUAGE
*/
//$_SWIFT["adminlanguage"] = "en-us";
$_SWIFT["adminlanguage"] = "jp";

/**
* DEFAULT CLIENT AREA THEME
*/
$_SWIFT["clienttheme"] = "default";

/**
* DEFAULT ADMIN AREA THEME
*/
$_SWIFT["admintheme"] = "default";

/**
* DISABLE SESSION IP CHECKS
*/
$_SWIFT["disablesessionipcheck"] = false;

/**
* CHANGE THIS ONLY BEFORE SETUP, DONT CHANGE AFTER SWIFT HAS BEEN INSTALLED
*/
define("TABLE_PREFIX", "sw");

/**
* ENABLE IP RESTRICTION: This option allows you to restrict the admin,staff,winapp,mobile,pda interfaces to a certain IP range
* 202.1.192.0-202.1.192.255: a range of IPs
* 200.36.161.0/24: a range of IP by using net masking
* 200.36.161/24: a shorten syntax similar to the above.
* Example: $_SWIFT['iprestrict'] = array('202.1.192.0-202.1.192.255', '200.36.161.0/24');
*/
$_SWIFT['iprestrict'] = array();

/**
* OVERRIDE THE INSTALL PATH
* On certain systems you might need to specify the full path to the product installation, do not include a trailing slash if you ever decide to set this.
* Unix Example:
* define("SWIFTCUSTOMPATH", '/home/username/public_html/support');
* Windows Example:
* define("SWIFTCUSTOMPATH", 'c:\inetpub\htdocs\support');
*/

/**
* DISPLAYS EXACT SESSION EXPIRY REASON
*/
//define("DEBUGSESSIONEXPIRY", true);

/**
* LOGS ANY SQL ERRORS UNDER ./files/sqllog.txt - ENABLE ONLY TO DEBUG!
*/
//define("DEBUGSQL", true);

/**
* LOGS THE SLA DEBUG MESSAGES
*/
//define("SLADEBUG", true);

define("USESHUTDOWNFUNC", true);

// ======= MODULE LIST =======
define("MODULE_CORE", "core");
define("MODULE_LIVESUPPORT", "livesupport");
define("MODULE_TICKETS", "tickets");
define("MODULE_PARSER", "parser");
define("MODULE_BUGS", "bugs");
define("MODULE_KNOWLEDGEBASE", "knowledgebase");
define("MODULE_NEWS", "news");
define("MODULE_DOWNLOADS", "downloads");
define("MODULE_TROUBLESHOOTER", "troubleshooter");
define("MODULE_TEAMWORK", "teamwork");
define("MODULE_MANUALS", "manuals");
define("MODULE_PURCHASE", "purchase");
define("MODULE_SERVERS", "servers");
define("MODULE_REPORTS", "reports");

$_MODULES[MODULE_CORE] = dirname(__FILE__)."/../modules/core/core.php";
$_MODULES[MODULE_LIVESUPPORT] = dirname(__FILE__)."/../modules/livesupport/livesupport.php";
$_MODULES[MODULE_TICKETS] = dirname(__FILE__)."/../modules/tickets/tickets.php";
$_MODULES[MODULE_PARSER] = dirname(__FILE__)."/../modules/parser/parser.php";
$_MODULES[MODULE_KNOWLEDGEBASE] = dirname(__FILE__)."/../modules/knowledgebase/knowledgebase.php";
$_MODULES[MODULE_NEWS] = dirname(__FILE__)."/../modules/news/news.php";
$_MODULES[MODULE_DOWNLOADS] = dirname(__FILE__)."/../modules/downloads/downloads.php";
$_MODULES[MODULE_TROUBLESHOOTER] = dirname(__FILE__)."/../modules/troubleshooter/troubleshooter.php";
$_MODULES[MODULE_TEAMWORK] = dirname(__FILE__)."/../modules/teamwork/teamwork.php";
$_MODULES[MODULE_MANUALS] = dirname(__FILE__)."/../modules/manuals/manuals.php";
$_MODULES[MODULE_PURCHASE] = dirname(__FILE__)."/../modules/purchase/purchase.php";
$_MODULES[MODULE_SERVERS] = dirname(__FILE__)."/../modules/servers/servers.php";
$_MODULES[MODULE_REPORTS] = dirname(__FILE__)."/../modules/reports/reports.php";
?>